<p-panel class="memos-display">
    <p-header>
        {{'mpmApp.vehicleSalesOrder.memoKoreksi'|translate}}    
    </p-header>
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">   
            <div [hidden]="!(1==memoDetil)">            
                <div class="ui-g-12  ">
                    <div class="ui-g-2 mandatory">
                        {{'mpmApp.vehicleSalesOrder.noIVU'|translate}}
                    </div>
                    <div class="ui-g-4">
                        <input 
                            pInputText type="text" 
                            style="width: 150px"                     
                            [(ngModel)]="cariNoInput" 
                            name="cariNoInp"
                        />                    
                    </div>

                    <div class="ui-g-2" *ngIf="memos.currentStatus!=17">
                        <button type="button"                            
                            [routerLink]="['/', { outlets: { popup: 'vehicle-sales-billing-lov'  } }]"
                            replaceUrl="true"                         
                            label="cari"
                            class="btn btn-danger btn-block"
                            (click)="reset()">
                            <span class="fa fa-pencil"></span>                                    
                        </button>                           
                    </div>                
                </div>
                <div class="ui-g-12">
                    <hr>
                </div>
    
                <div class="ui-g-12  ">
                    <div class="ui-g-2">
                        {{'mpmApp.vehicleSalesOrder.noIVU'|translate}}
                    </div>
                    <div class="ui-g-8">
                        <div *ngIf="vehicleSalesBilling">
                            {{vehicleSalesBilling.billingNumber}}
                        </div>                                
                    </div>
                </div>
                
                <div class="ui-g-12">
                    <div class="row">
                        <div class="ui-g-2">
                            {{'mpmApp.vehicleSalesOrder.noKa'|translate}}
                        </div>
                        <div class="ui-g-4" *ngIf="vehicleSalesBilling.typeId == 10">                                
                            <div *ngIf="inventoryItem && vehicleSalesBilling.typeId == 10">
                                {{inventoryItem.idMachine}} / {{inventoryItem.idFrame }} / {{memos.dealerId}}
                            </div>
                        </div>
                        <div class="ui-g-4" *ngIf="vehicleSalesBilling.typeId == 111 || vehicleSalesBilling.typeId == 113 || vehicleSalesBilling.typeId == 114">   
                                <div class="col-md-12">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <select class="form-control" [(ngModel)]="ivtID" (change)="selectedIVGC()" [ngModelOptions]="{standalone: true}">
                                                    <option [ngValue]="ivt.idInventoryItem" *ngFor="let ivt of ivtGC">{{ivt.idProduct}} -- Noka {{ivt.idFrame}} -- Nosin {{ivt.idMachine}}</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <div class="ui-g-2">
                        </div>
                    </div>
                </div>
                
                <div class="ui-g-12">
                    <hr>
                </div>

                <div class="ui-g-12  ">
                    <div class="ui-g-2">
                        {{'mpmApp.vehicleSalesOrder.noMemo'|translate}}
                    </div>
                    <div class="ui-g-8 ">
                        <input pInputText type="text" style="width: 150px" name="memoNumber" id="field_memoNumber" 
                        [(ngModel)]="memos.memoNumber" [disabled]="true" />                       
                    </div>        
                </div>
            
                <div class="ui-g-12  ">
                    <div class="ui-g-2">
                        {{'mpmApp.vehicleSalesOrder.dateMemo'|translate}}
                    </div>
                    <div class="ui-g-10" *ngIf="memoKoreksi.currentStatus === 17">
                        {{memos.dateCreated | date:'dd-MMM-yyyy'}}
                    </div> 
                    <div class="ui-g-10" *ngIf="memoKoreksi.currentStatus !== 17">
                        <p-calendar inputId="field_dateCreate2" name="input_memo_date" 
                            dateFormat="dd-MM-yy" 
                            [showIcon]="true"
                            [(ngModel)]="tglMemo"
                            [disabled]="true"
                            ></p-calendar>
                    </div>        
                </div>
                
                <div class="ui-g-12" *ngIf = "memoKoreksi.currentStatus !== 17">
                    <table class="table">
                        <thead>
                            <th scope="col">{{'mpmApp.vehicleSalesOrder.codeType'|translate}}</th>
                            <th scope="col">{{'mpmApp.vehicleSalesOrder.originColor'|translate}}</th>
                            <th scope="col">{{'mpmApp.vehicleSalesOrder.originNoka'|translate}}</th>
                            <th scope="col">{{'mpmApp.vehicleSalesOrder.newColor'|translate}}</th>
                            <th scope="col">{{'mpmApp.vehicleSalesOrder.newNoka'|translate}}</th>
                            <th scope="col">{{'mpmApp.vehicleSalesOrder.koreksi'|translate}}</th>
                        </thead>
                        <tbody>
                            <tr>                
                                <td>
                                    <div *ngIf="viewMemo.oldInventoryItem">
                                        {{memos.oldInventoryItem.idProduct}}
                                    </div>
                                </td>
                                <td>
                                    <div *ngIf="viewMemo.oldInventoryItem">
                                        {{memos.oldInventoryItem.idFeature}}
                                    </div>
                                </td>
                                <td>
                                    <div *ngIf="viewMemo.oldInventoryItem">
                                        {{memos.oldInventoryItem.idFrame}}
                                    </div>
                                </td>
                                <td>
                                    <div *ngIf="viewMemo.inventoryItem">
                                        {{memos.inventoryItem.idFeature}}
                                    </div>
                                </td>                                
                                <td>
                                    <div *ngIf="viewMemo.inventoryItem" >
                                        {{memos.inventoryItem.idFrame}}
                                    </div>
                                </td>
                                <td> 
                                    <div *ngIf="viewMemo.inventoryItem">
                                        {{memos.inventoryItem.idFrame}}
                                    </div>
                                </td>
                                <td>
                                    <div>
                                        <button pButton type="button" 
                                            *ngIf="memos.currentStatus!=17"
                                            label="Ganti Unit" 
                                            class="ui-button-danger"
                                            (click)="memoGantiUnit(viewMemo.oldInventoryItem.idProduct)"
                                            [disabled]="viewMemo.bbn != null || viewMemo.discount != null || viewMemo.unitPrice != null || idMemoType == 4"
                                        ></button>
                                    </div>
                                    
                                    <div style="margin-top:10px">
                                        <button pButton type="button" 
                                            (click)="memoGantiKomposisi()"
                                            label="Ganti Komposisi" 
                                            class="ui-button-info"
                                            [disabled]="inventoryItem2.idFrame != null || idMemoType == 4">
                                        </button>            
                                    </div>
                            
                                    <div style="margin-top:10px">
                                        <p-checkbox name="cancel_ivu" label="Cancel IVU" binary="true" [(ngModel)]="jenisCancelIVU"
                                        (click)="cancelIvu()" [disabled]="memos.bbn != null || memos.discount != null || memos.unitPrice != null ||inventoryItem2.idFrame != null"></p-checkbox>
                                    </div>
                                   
                                </td> 
                            </tr>
                        </tbody>
                    </table>
                </div>

                <div class="ui-g-12" *ngIf = "memoKoreksi.currentStatus == 17">
                    <table class="table">
                        <thead>
                            <th scope="col">{{'mpmApp.vehicleSalesOrder.codeType'|translate}}</th>
                            <th scope="col">{{'mpmApp.vehicleSalesOrder.originColor'|translate}}</th>
                            <th scope="col">{{'mpmApp.vehicleSalesOrder.originNoka'|translate}}</th>
                            <th scope="col">{{'mpmApp.vehicleSalesOrder.newColor'|translate}}</th>
                            <th scope="col">{{'mpmApp.vehicleSalesOrder.newNoka'|translate}}</th>
                            <th scope="col">{{'mpmApp.vehicleSalesOrder.koreksi'|translate}}</th>
                        </thead>
                        <tbody>              
                                <td>
                                    <div *ngIf="memoKoreksi.oldInventoryItem">
                                        {{memoKoreksi.oldInventoryItem.idProduct}}
                                    </div>
                                </td>
                                <td>
                                    <div *ngIf="memoKoreksi.oldInventoryItem">
                                        {{oldFeature}}
                                    </div>
                                </td>
                                <td>
                                    <div *ngIf="memoKoreksi.oldInventoryItem">
                                        {{oldIdFrame}}
                                    </div>
                                </td>
                                <td>
                                    <div *ngIf="memoKoreksi.inventoryItem">
                                        {{memoKoreksi.inventoryItem.idFeature}}
                                    </div>
                                </td>                                
                                <td>
                                    <div *ngIf="memoKoreksi.inventoryItem" >
                                        {{memoKoreksi.inventoryItem.idFrame}}
                                    </div>
                                </td>
                                <td> 
                                    <div *ngIf="memoKoreksi.inventoryItem">
                                        {{memoKoreksi.inventoryItem.idFrame}}
                                    </div>
                                </td>
                                <td>
                                        <button pButton type="button" 
                                            *ngIf="memos.currentStatus!=17"
                                            label="Ganti Unit" 
                                            class="ui-button-danger"
                                            (click)="memoGantiUnit(memos.oldInventoryItem.idProduct)"
                                            [disabled]="memos.bbn != null || memos.discount != null || memos.unitPrice != null "
                                        ></button> 
                                          
                                </td>
                        </tbody>
                    </table>
                </div>
            
                <div class="ui-g-12">
                </div>
              
                
             
            <div class="ui-g-12">
                <hr>
            </div>          
        </div>
            
        <!--  TAHAP DETIL GANTI MOTOR  -->
        <div [hidden]="!(2==memoDetil)">
            <div class="ui-g" >
                <div class="ui-g-12  ">
                    <h4>{{'mpmApp.vehicleSalesOrder.memoKoreksi'|translate}}</h4>        
                </div>
                <div class="ui-g-12  ">
                    <div class="ui-g-2">
                        {{'mpmApp.vehicleSalesOrder.noIVU'|translate}}
                    </div>
                    <div class="ui-g-4">
                        <div *ngIf="vehicleSalesBilling">
                            {{vehicleSalesBilling.billingNumber}}
                        </div> 
                    </div>            
                </div>
                
                <div class="ui-g-12  ">            
                    <h3>{{'mpmApp.vehicleSalesOrder.detailKendaraan'|translate}}</h3>                     
                </div>

                <div class="ui-g-12  ">
                    <div class="ui-g-2">
                        {{'mpmApp.vehicleSalesOrder.codeType'|translate}}
                    </div>
                    <div class="ui-g-4">
                        <div *ngIf="inventoryItem">
                            {{inventoryItem.idProduct}}
                        </div>
                    </div>            
                </div>
                
                <hr>
                
                <div class="ui-g-12  ">
                    <div class="ui-g-2">
                        {{'mpmApp.vehicleSalesOrder.codefeature'|translate}}
                    </div>
                    <div class="ui-g-8">
                        <div *ngIf="inventoryItem">
                            {{inventoryItem.idFeature}}
                        </div>
                    </div>        
                </div>

                <div class="ui-g-12  ">
                    <div class="ui-g-2">
                        {{'mpmApp.vehicleSalesOrder.year'|translate}}
                    </div>
                    <div class="ui-g-8">
                    </div>        
                </div>    
    
                <div class="ui-g-12  ">
                    <div class="ui-g-2">
                        {{'mpmApp.vehicleSalesOrder.noKa'|translate}}
                    </div>
                    <div class="ui-g-8">
                        <div *ngIf="inventoryItem">
                            {{inventoryItem.idFrame }}
                        </div>
                    </div>        
                </div>

                <div class="ui-g-12  ">
                    <div class="ui-g-2">
                        {{'mpmApp.vehicleSalesOrder.noMachine'|translate}}
                    </div>
                    <div class="ui-g-8">
                        <div *ngIf="inventoryItem">
                            {{inventoryItem.idMachine }}
                        </div>
                    </div>        
                </div>
                
                <div class="ui-g-12  ">            
                    <hr>
                </div>
            
    
                <div class="ui-g-12  ">            
                    <h4>{{'mpmApp.vehicleSalesOrder.perubahan'|translate}}</h4> 
                </div>
                <div class="col-md-12">  
                    <label>Jenis Ganti</label>                  
                    <div class="form-group">
                        <div class="radio">
                            <label>
                                <input type="radio" name="jenis_ganti" checked="jenisGantiNoka" (click)="closeDetilGantiKomposisi(false)">
                                Ganti Noka/nosin 
                                {{jenisGantiNoka}}
                            </label>
                        </div>
                        <div class="radio">
                            <label>
                                <input type="radio" name="jenis_ganti" checked="jenisGantiWarna" (click)="closeDetilGantiKomposisi(false)">
                                Warna 
                                {{jenisGantiWarna}}
                            </label>
                        </div>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="form-input-label" >Pilih warna</label>
                        <select class="form-control" id="field_color" name="color" [(ngModel)]="selectedColor">
                            <option [ngValue]="99999">-Please Select-</option>
                            <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.refKey}} - {{featureOption.description}}</option>
                        </select>
                    </div>
                </div>
                   
                <div class="ui-g-12  ">
                    <div class="ui-g-4" *ngIf="inventoryItem">
                        <button type="button"                            
                            replaceUrl="true"                            
                            [routerLink]="['/', { outlets: { popup: 'ivt-lov/' + inventoryItem.idProduct + '/' + internalId + '/' + selectedColor + '/' + inventoryItem.idFrame + '/' + inventoryItem.idMachine + '/' + cogs + '/' + inventoryItem.yearAssembly} }]"                
                            class="btn btn-primary btn-block">
                            <span class="fa fa-pencil"></span>&nbsp; Matching                 
                            </button>     
                    </div>                    
                    <div class="ui-g-4">                    
                    </div>                    
                    <div class="ui-g-4">
                        <button pButton type="button" 
                            (click)="closeDetilGantiKomposisi(true)"
                            label="Close" 
                            class="btn btn-warning btn-block" ></button>            
                    </div>                    
                </div>
            </div>

            <div class="ui-g-12">
                <hr>
            </div>  

        </div>

        <div [hidden]="!(3==memoDetil)">     
        <div *ngIf="vehicleSalesBilling" style="margin-top:10px" style="font-weight:600">
            No. IVU = {{vehicleSalesBilling.billingNumber}}
        </div>  
        <div *ngIf="vehicleSalesBilling" style="font-weight:600">
            Tanggal IVU = {{vehicleSalesBilling.dateCreate | date:'dd-M-yyyy'}}
        </div>  
        <!-- <div class="col-md-4">
            <select class="form-control" [(ngModel)]="memoProductId" (change)="kalkulasiIdProduct()" [ngModelOptions]="{standalone: true}">
                    <option [ngValue]="ivt.idProduct" *ngFor="let ivt of ivtGC">{{ivt.idProduct}}</option>
            </select>
        </div>                      -->
            <div class="ui-g-12">
                <table class="table" style="width: 100%;" border="1">
                    <thead>
                        <th scope="col" style="width: 20%"></th>
                        <th scope="col" style="width: 40%">Data Awal</th>
                        <th scope="col" style="width: 40%">Koreksi</th>                        
                    </thead>
                    <tbody> 
                        <tr>
                            <td>OTR</td>
                            <td>{{komposisiOnTheRoad | currency : 'IDR' : true}}</td>
                            <td><input pInputText currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" type="text" style="width: 100%" name="OTR_corr" id="field_otr_corr" [(ngModel)]="komposisiOnTheRoad" maxlength="20" [disabled]="true"/></td>                        
                        </tr>                                    
                        <tr>
                            <td>BBN</td>
                            <td>{{komposisiBBN | currency : 'IDR' : true}}</td>
                            <td><input pInputText currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" type="text" style="width: 100%" name="bbn_corr" id="field_bbn_corr" [(ngModel)]="memos.bbn" maxlength="20" (blur)="hitungHargaInputManual()"/></td>
                        </tr>                                    
                        <tr>
                            <td>Off the road</td>
                            <td>{{komposisiOffRoad | currency : 'IDR' : true}}</td>
                            <td><input pInputText currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" type="text" style="width: 100%" name="OffTheRoad_corr" id="field_OffTheRoad_corr" [(ngModel)]="komposisiOffRoad" maxlength="20" [disabled]="true"></td>                        
                        </tr>                                    
                        <tr>
                            <td>Sales Amount</td>
                            <td>{{komposisiSalesAmount | currency : 'IDR' : true}}</td>
                            <td><input pInputText currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" type="text" style="width: 100%" name="SA_corr" id="field_SA_corr" [(ngModel)]="komposisiSalesAmount" maxlength="20" [disabled]="true"></td>                        
                        </tr>                                    
                        <tr>
                            <td>Discount</td>
                            <td>{{komposisiDiscount | currency : 'IDR' : true}}</td>
                            <td><input pInputText currencyMask [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" type="text" style="width: 100%" name="disc_corr" id="field_disc_corr" [(ngModel)]="discExppn" maxlength="20" (blur)="hitungHargaInputManual()"/>
                                <input pInputText currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" type="text" style="width: 100%" name="disc_corr1" id="field_disc_corr1" [(ngModel)]="memos.discount" maxlength="20" [disabled]="true"/>
                            </td>
                        </tr>                                    
                        <tr>
                            <td>Price</td>
                            <td>{{komposisiPrice | currency : 'IDR' : true}}</td>
                            <td><input pInputText currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" type="text" style="width: 100%" name="price_corr" 
                                id="field_price_corr" [(ngModel)]="memos.dpp" maxlength="20" [disabled]="true"/></td>
                        </tr>                                    
                        <tr>
                            <td>PPN</td>
                            <td>{{komposisiPPN | currency : 'IDR' : true}}</td>
                            <td><input pInputText currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" type="text" style="width: 100%" name="ppn_corr" id="field_ppn_corr" maxlength="20" [(ngModel)]="memos.ppn" [disabled]="true"/></td>
                        </tr>                                    
                        <tr>
                            <td>AR Amount</td>
                            <td>{{komposisiAR | currency : 'IDR' : true}}</td>
                            <td><input pInputText currencyMask  [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" type="text" style="width: 100%" name="ar_corr" id="field_ar_corr" maxlength="20" [(ngModel)]="memos.arAmount" [disabled]="true"/></td>
                        </tr>                                                            
                    </tbody>
                </table>
            </div>                                        
            <div class="ui-g-12">
                <div class="ui-g-8"></div>
                <div class="ui-g-4">
                    <button pButton type="button" 
                        (click)="closeUpdateKomposisi()"
                        label="Close Update Komposisi" 
                        class="ui-button-danger flat-label-button " ></button> 
                    </div>
            </div>          
        </div>
        </form>
    <p-footer>
        <button pButton type="button" (click)="reset()"
        label="Reset" 
        icon="fa-ban"
        class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="button" (click)="previousState()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" 
            [disabled]="editForm.form.invalid || isSaving "
            *ngIf="memos.currentStatus!=17"
            (click)="save()"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </p-footer>
</p-panel>